commit 55b2208d2acea9609d81afe657da00859ae19e70
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 19 10:24:27 2026 -0700

    xmodmap 1.0.12
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 999fd957e61aa60f364ee2e0dd0e90bb67b8a3c5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 6 15:12:27 2026 -0700

    meson: include headers when checking for functions
    
    Trying to workaround https://github.com/mesonbuild/meson/issues/3740
    which causes meson to fail to detect missing functions in some cases.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xmodmap/-/merge_requests/12>

commit dd0c5dadaa76dfad10a28365e0c5e80676adae36
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 16 17:27:17 2026 -0700

    meson: Add option to build with meson
    
    Also updates the gitlab CI config to test both build types
    and compare the generated output/installed files.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xmodmap/-/merge_requests/11>

commit 4fb8c64f605386b9e6afc8341b8cdc41ae20e171
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 16 14:58:01 2026 -0700

    handle.c: handle -Wuse-after-free warning from gcc 15
    
    Avoid double free in the case a size of 0 ends up passed to realloc,
    which causes it to both free the pointer and return NULL.
    
    Clears up:
    In function ‘reallocfarray’,
        inlined from ‘KeysymToKeycodes’ at handle.c:98:13:
    handle.c:80:9: warning: pointer ‘kcs’ may be used after ‘realloc’
     [-Wuse-after-free]
       80 |         free(old);
          |         ^~~~~~~~~
    handle.c:77:15: note: call to ‘realloc’ here
       77 |         new = realloc(old, num * size);
          |               ^~~~~~~~~~~~~~~~~~~~~~~~
    In function ‘reallocfarray’,
        inlined from ‘do_remove’ at handle.c:723:15:
    handle.c:80:9: warning: pointer ‘kclist’ may be used after ‘realloc’
     [-Wuse-after-free]
       80 |         free(old);
          |         ^~~~~~~~~
    handle.c:77:15: note: call to ‘realloc’ here
       77 |         new = realloc(old, num * size);
          |               ^~~~~~~~~~~~~~~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xmodmap/-/merge_requests/11>

commit 0b9e54f20341c8ad85ecd0e15f40d5233b402c91
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 11 11:20:41 2026 -0800

    gitlab CI: drop the ci-fairy check-mr job
    
    The only thing this checked was the checkbox for allowing maintainers to
    edit the MR. Changed permissions checks now fail this job but luckily
    the setting it checked has been the default for years anyway so we can
    drop it.
    
    https://gitlab.freedesktop.org/freedesktop/ci-templates/-/issues/81
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xmodmap/-/merge_requests/11>

commit 0761a37a6111f22e2552f9f2245bddbb6d3db2bf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 9 15:43:51 2025 -0700

    parse_keysym: handle possible NULL return from copy_to_scratch()
    
    Handles report from gcc 15.1:
    
    handle.c: In function ‘parse_keysym’:
    handle.c:333:10: warning: use of NULL ‘tmpname’ where non-null expected
     [CWE-476] [-Wanalyzer-null-argument]
      333 |     if (!strcmp(*name, "NoSymbol")) {
          |          ^~~~~~~~~~~~~~~~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xmodmap/-/merge_requests/10>

commit 35e135831743406db39b7319aad6e16cbbd8451e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 9 15:38:08 2025 -0700

    Strip trailing whitespace from source files
    
    Performed with: `git ls-files | xargs perl -i -p -e 's{[ \t]+$}{}'`
    
    `git diff -w` & `git diff -b` show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xmodmap/-/merge_requests/10>

commit 506799613210b64cb8175468fa5dd8b0cc2ddd9c
Author: Bjarni Ingi Gislason <bjarniig@simnet.is>
Date:   Mon Jan 27 02:56:28 2025 +0000

    xmodmap.1: Some editorial changes for this man page [Debian bug #1094313]
    
    Originally from https://bugs.debian.org/1094313
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xmodmap/-/merge_requests/9>

commit 4a6c7c88ae7eea7003cb37385c87c83ec1355f2a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 6 10:18:02 2025 -0700

    Improve man page text & formatting
    
    More closely follow common style as described on
    https://man7.org/linux/man-pages/man7/man-pages.7.html
    and suggest that you probably want to use XKB instead now.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xmodmap/-/merge_requests/8>

commit 1193e13739a3eb0259b40d3ffdd90f006d36dd5f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 6 09:51:22 2025 -0700

    Accept --help & --version as aliases to -help & -version
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xmodmap/-/merge_requests/8>

commit 0c36017f486f5a71e481f185cdf5a095e7606594
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 13 16:09:49 2024 -0800

    Use _strnicmp() instead of strncasecmp() on Windows
    
    Fixes: 61bde50 ("Assume target platforms have strncasecmp now")
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xmodmap/-/merge_requests/7>

commit 61bde5017786d60df7cc377a3b9f2e6bb11caeef
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 22 12:16:06 2024 -0700

    Assume target platforms have strncasecmp now
    
    It has been required since Unix98/SUSv2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xmodmap/-/merge_requests/6>

commit caffed31bcc00bb588ee3bc956a93f80da80fdc6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 25 09:01:29 2023 -0800

    Remove "All rights reserved" from Oracle copyright notices
    
    Oracle no longer includes this term in our copyright & license notices.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9b7e31a52f6717428b19eeeb805ba28de0b976f1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5579ae02a6b44f3072955f3e2f3249d2bd1201e4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 10 15:49:43 2022 -0700

    xmodmap 1.0.11
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 34df50af33d38621ce5d5a5510c7a4e70e1c17c1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 17 10:34:10 2022 -0700

    PrintModifierMapping: stop leaking the map returned by XGetKeyboardMapping
    
    Resolves issue reported by Oracle Parfait static analyzer:
    
    Error: Memory leak
       Memory leak [memory-leak] (CWE 401):
          Memory leak of pointer pointer allocated with XGetKeyboardMapping(...)
            at line 251 of app/xmodmap/exec.c in function 'PrintModifierMapping'.
              pointer allocated at line 222 with XGetKeyboardMapping(...)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 10eecbe868b5c898ea9cd05d014fbf13c29c3a26
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 17 10:19:58 2022 -0700

    handle.c: avoid leaks when realloc() fails
    
    Resolves issues reported by Oracle Parfait static analyzer:
    
    Error: Memory leak
       Memory leak [memory-leak] (CWE 401):
          Memory leak of pointer kclist allocated with malloc((n * 1))
            at line 698 of app/xmodmap/handle.c in function 'do_remove'.
              kclist allocated at line 662 with malloc((n * 1))
              kclist leaks when num_kcs != 0 at line 676
                  and (j + 1) >= num_kcs at line 687
                  and (nc + num_kcs) > tot at line 691
                  and (num_kcs - 1) < 0 at line 701.
       Memory leak [memory-leak] (CWE 401):
          Memory leak of pointer kclist allocated with malloc((n * 1))
            at line 711 of app/xmodmap/handle.c in function 'do_remove'.
              kclist allocated at line 662 with malloc((n * 1))
              kclist leaks when (i + 1) >= n at line 672.
    Error: Memory leak
       Memory leak [memory-leak] (CWE 401):
          Memory leak of pointer kclist allocated with realloc(kclist, (tot * 1))
            at line 711 of app/xmodmap/handle.c in function 'do_remove'.
              kclist allocated at line 693 with realloc(kclist, (tot * 1))
              kclist leaks when (num_kcs - 1) < 0 at line 701
                  and (i + 1) >= n at line 672.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d14cb47d9e9a10d04b1a7de9d2799fef9b0436e0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 7 12:36:29 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 90e2004549d79093ef7e1c17f99e64331c3e6661
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 7 12:36:27 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fa9c38e6e7f1caa12d38f35c5633735bcaef3ba1
Author: Karl Fogel <kfogel@red-bean.com>
Date:   Sat Mar 16 21:29:04 2019 -0500

    Fix warning about number of mouse buttons
    
    Change a warning to distinguish between too few buttons and too many.
    
    Before this change:
    
        $ xmodmap -e "pointer = 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15"
        Warning: Only changing the first 15 of 10 buttons.
        $
    
    After this change:
    
        $ xmodmap -e "pointer = 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15"
        Warning: Not changing 5 extra buttons beyond 10.
        $
    
    Fixes: https://gitlab.freedesktop.org/xorg/app/xmodmap/issues/2
    Signed-off-by: Karl Fogel <kfogel@red-bean.com>

commit c5a5fb06fd25c044f343f4571c645fd6c954d038
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 19 15:33:29 2019 -0800

    xmodmap 1.0.10
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d0d28d45a2479b4ddc3c5656ac75433cc922bf46
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:16:14 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0a4cc4af3d3fc38e10d3ff23c36380b5252bd520
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 22:40:31 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9be2acabde0364a3a6b506ea59db24d922844ccc
Author: Wolfgang Pfeiffer <roto@gmx.net>
Date:   Mon Jul 9 10:20:35 2018 +1000

    man: remove reference to the XKeysymDB
    
    The XKeysymDB was removed around 2010 - please see:
    https://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=eb023c0f8919e809b8b609e1467b14d20a290aa7
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c4df95c5075a728c0d089bed208042fdfa7a7765
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 5 15:15:33 2018 -0700

    Change fall through comment in xmodmap.c to match gcc's requirements
    
    Needs to match one of the regexps shown under
    https://gcc.gnu.org/onlinedocs/gcc-7.3.0/gcc/Warning-Options.html#index-Wimplicit-fallthrough
    
    Silences warning from gcc 7.3.0:
    
    xmodmap.c: In function ‘main’:
    xmodmap.c:358:10: warning: this statement may fall through [-Wimplicit-fallthrough=]
       arg[1] = tolower (arg[1]);
       ~~~~~~~^~~~~~~~~~~~~~~~~~
    xmodmap.c:360:8: note: here
            case 's':
            ^~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9067c5b2aac51cdd1e45d5652a2a43db6c440cac
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit dd8de1b4eebd39b36566bdeb2c8bc594add7c1a8
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 29e2bd5a257a4f60c1729ab823ed990597294ffc
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 6d5aa481669cdbf2f0cb83bb0b8f142ba94307ae
Author: Matthew Green <mrg@NetBSD.org>
Date:   Mon Jul 20 10:22:43 2015 +0200

    Properly hide config.h behind HAVE_CONFIG_H.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1e0d98566d01fb5da9836e1fc402fb28f8d8b499
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 17 00:06:59 2015 -0700

    xmodmap 1.0.9
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d50db4361a57062f9c0c0a1c6c18d296e11dd4bf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 1 23:20:34 2014 -0700

    Remove unneeded casts on malloc, realloc, and free calls
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 02f145f175894399fed33992e4e7e5a87d7e7a2a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 1 23:15:29 2014 -0700

    Avoid null pointer use if malloc() fails
    
    Error: Null pointer dereference (CWE 476)
       Read from null pointer str
            at line 282 of handle.c in function 'parse_number'.
              Function copy_to_scratch may return constant 'NULL' at line 98,
               called at line 875 in function 'do_pointer'.
              Constant 'NULL' passed into function parse_number, argument str,
               from call at line 876.
              Null pointer introduced at line 98 in function 'copy_to_scratch'.
    
    [ This bug was found by the Parfait 1.4.0 bug checking tool.
      http://labs.oracle.com/pls/apex/f?p=labs:49:::::P49_PROJECT_ID:13 ]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e320555a2281ff6b5ad9409480a62c976a289dc1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 00:13:58 2014 -0700

    Print which option was in error along with usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 82f549d1c8780538fb115ee2768d2f4024d302b2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 23:49:27 2014 -0700

    Add -version option to print program version
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 156921246c26f5e12790d52b8b9f395a56f61c87
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 23:41:50 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c624c9c29ed4af8f941108368786ddb5f0d55ba6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 23:41:50 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e09a9195be80bd29c59f56e641dda52789d837b5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 8 10:05:00 2013 -0700

    xmodmap 1.0.8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0a0818fd69cf7711e70a686758b8714f39ae1df1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 8 10:02:26 2013 -0700

    Add missing copyright dates from xmodmap.man to COPYING
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2d288dfa7fd5f9f88939f2842202e1b7eb7aca87
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 6 15:56:02 2013 -0700

    Allow printing -help & -grammar messages without a valid DISPLAY
    
    If a user just wants to see syntax hints, don't require XOpenDisplay()
    to succeed when we're not going to use it.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bf4620e2d78d2a4766948f136f2372a596ac275d
Author: Stéphane Aulery <lkppo@free.fr>
Date:   Sun Jun 30 01:50:58 2013 +0200

    error in manpage example about swapping Control_L/Caps_Lock keys
    
    Reported by Luca Capello at
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=641588
    
    Signed-off-by: Luca Capello <luca@pca.it>
    Signed-off-by: Stéphane Aulery <lkppo@free.fr>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f784ef30fdbd1b32aacf44537d9e7c85d268465b
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Wed Jan 4 19:07:03 2012 +0000

    Include X11/Xwindows.h on WIN32
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>

commit 42f99a7a7b836f6f9704a7b1747eb722c93446ec
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 23 07:28:39 2012 -0700

    include config.h before stdio.h & other system headers
    
    Ensures definitions like _GNU_SOURCE are visible when needed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f857804dd904c69de447f4117220db149d9239ec
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 20 14:09:31 2012 -0700

    xmodmap 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5d24213a01231345848d378cb55186fbe7996504
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 14 14:37:55 2012 -0700

    Add AC_USE_SYSTEM_EXTENSIONS to expose asprintf() in GNU libc headers
    
    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=48696
    
    Reported-by: Dominique Leuenberger
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 1aebb2e8b358c26b36ca4a9c063180479ee38557
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 14 14:34:39 2012 -0700

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b355a23e6787f348db97faaa48085428277c659b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Mar 22 23:04:32 2012 -0700

    xmodmap 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d0dfd2128e6111b967c51136d97093d3b53ee6d6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 11 21:07:30 2011 -0800

    Replace chk_malloc + sprintf with asprintf
    
    Includes local private copy of asprintf for OS'es without it in libc.
    Removes chk_malloc as no callers remain anymore.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit fecb1f5a0c2121de6d9209fc9525ac7d9b9555ea
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 11 20:46:00 2011 -0800

    Free copy of input line at end of process_line instead of leaking it
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 66c09c83aa2f64b31dc657f90447c269621545b7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 11 20:40:18 2011 -0800

    Fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 8751095511c7d9065ab12a40e90e38bdd9d728e4
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Nov 11 11:22:43 2011 -0800

    Add missing _X_NORETURN to functions that need it
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit c71811ebe193cecc4add4c2d9cec751fc721343b
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Nov 11 11:21:45 2011 -0800

    Include strings.h for strcasecmp
    
    Our minimum requirement for X11 is currently Unix98.  Unix98 provides
    strcasecmp in <strings.h>.  This commit fixes implicit declarations
    of this function on systems that closely adhere to the standard.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit b6b5bc9e9874934dd1c1b80a1aa0c0b1c454eab2
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat May 7 22:05:16 2011 -0700

    Improve error handling in copy_to_scratch
    
    handle.c:95:5: warning: Array access (from variable 'buf') results in a null pointer dereference
        buf[len] = '\0';
        ^~~
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 1f801eea5f4d17b83aee1170423d65a74e01a138
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat May 7 21:45:22 2011 -0700

    Dead code removal
    
    xmodmap.c:159:5: warning: Value stored to 'status' is never read
        status = 0;
        ^        ~
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit d427337286e0a8ac061d5acbc326e7bdb8b056a3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Mar 4 20:50:41 2011 -0500

    man: replace hard coded section with __appmansuffix__
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 65011e8a86f64d5f7e9f39052e04e5ee7e57ce1b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit ec2cab2dc9b6e7c804984320d8f560adbc3477ff
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:50 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>

commit 3fe64746bb6c3ede67c9967ebd216a8a39cdb2ea
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 24 11:53:40 2010 -0700

    xmodmap 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f6919f5958acc59d0b1936cc49900ea781bf2355
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 24 11:52:18 2010 -0700

    man page: Add setxkbmap & XStringToKeysym to the See Also list
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 663b798d1464be003b9659bbd00112d8b63f6f6f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 24 11:43:33 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7ff4acd4c8cf2d97d321276d2616d199f81c7e16
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 22189c5be96e864b60f9c4cb8a0d9c3f142e849a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Sep 21 18:12:09 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d1091f9fee901b5cdc589aa544c0a5616bf99d9d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Sep 14 00:45:57 2010 -0700

    Attempt to further improve keysym name info in man page
    
    - Move it to the top of the grammar section since it applies to
      multiple commands, not just the keysym KEYSYMNAME = KEYSYMNAME command
    - Note that XKeysymDB supplements keysymdef.h, doesn't stand in place
      of it.
    - Add note about automatic mapping of Unicode characters to keysyms
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ffadc2376ede14285e2df8c43230d0d4ecca354f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Aug 20 10:53:44 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Use the appropriate platform version of sed
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5b493fd2d6edfca06113b09e6cbd6d6f1776399a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 13:08:54 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit bca4e6fdbe0e4f43c1c57dd9434c42741061407a
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Dec 6 14:00:34 2009 +0100

    Fix XKeysymDB path in manpage again
    
    commit 4da097462b0b899e1790fd5a5f5e8ec811623c3d "Bug 21675 xmodmap
    manpage states the wrong path to XKeysymDB" made it use the right path,
    but had trailing whitespace in Makefile.am so the manpage ended up with
    "/usr/share/X11 /XKeysymDB".

commit 584cc13735613f7788e033707ff756937a787bfa
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:54 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 27388cde37b85a4efe1e19715de4b574e350b81e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 817f5345cf42ba4c903c62b5ff814e9c9e3fed3f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 775727681868d51ba82b7da429ca91f3af3783a0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:39 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit ea18aba03dc1a8f14d63b43e1ce960f3cda2d7ea
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 16:14:12 2009 -0400

    Makefile.am: do not include autogen.sh in distribution #24183
    
    This is a private build script that should not be distributed

commit 719ab352112d53c113b45ed691e39c4411b8f653
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 10:16:12 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 3a95c2e779ab94ad76a35f5800d2b72b5b73da45
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Nov 7 15:11:33 2009 -0800

    Add note to man page about mapping pointer buttons to 0 to disable
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 95af7f0fa995ef1dd3a770c48ee3442f6279e936
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:21 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 3f5223b0bc87b0b55d91ba8f1a8cedce0e25f974
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 5 20:41:49 2009 -0700

    xmodmap 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 6a24b39d0674ee35436bad6aa0fad8150cf2c427
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 5 20:40:45 2009 -0700

    Add pointers to mailing lists, bugzilla, & git to README
    
    Also delete empty INSTALL so automake installs the default one
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 20a3ff72337c689ca46f140e594933df75d2bce4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 5 20:38:40 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 4da097462b0b899e1790fd5a5f5e8ec811623c3d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 11 10:16:29 2009 -0700

    Bug 21675 xmodmap manpage states the wrong path to XKeysymDB
    
    http://bugs.freedesktop.org/show_bug.cgi?id=21675
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit db17ca534037463051833eeaf6d09356c479565e
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 22 16:29:51 2009 -0200

    Correct make distcheck.

commit b45149922ee23a71efa013d3ef36ca4f6c6494be
Author: Ben North <ben@redfrontdoor.org>
Date:   Tue Jan 20 18:26:27 2009 +0100

    Skip whitespace for virtual button '0'.

commit 8d9922bdc53c5538dbfbba65f5a3e15afc8aea91
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 6 15:58:57 2007 -0700

    Version bump: 1.0.3

commit 822b6bffce953041accc13f4633d2c5d4a8c8dcd
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 17 15:57:10 2007 -0700

    Use strncasecmp if we can, instead of our own homegrown strncmp_nocase

commit d76839f34692c7bc4ad1337ca23a3362534c1172
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 17 15:52:39 2007 -0700

    Change usage messages from arrays of strings to simple const strings

commit 658d0022a87c5d3afe3e006e539c5c1b981a8d73
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 17 13:27:50 2007 -0700

    Constify some simple cases

commit b7aafba248db5e9c3ba39e4819d0b9ae156d2c82
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 17 13:03:38 2007 -0700

    sparse warning: non-ANSI definition of function 'process_file' & 'process_line'

commit e1cb231b31be520b76aeb72acc1af9ff6682fa9d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 17 13:01:07 2007 -0700

    Add hooks for checking source code with lint/sparse/etc.

commit eda127631001674cd40466fddb5225e618c2a327
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 17 12:54:16 2007 -0700

    Remove unused code

commit b57637a154a40e874a6bcb351aaa8335e86ae3c0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 17 12:48:31 2007 -0700

    Coverity #678: get_keysym_list: Returned without freeing storage "keysymlist"
    
    Free allocated memory in error path when it's not being returned

commit 72a01c6a3bae2cf113ab0ec812df41fec9b99a51
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 17 11:04:16 2007 -0700

    Replace static ChangeLog with dist-hook to generate from git log

commit 4dfbd74bda684bea748fbbcbfc172f6325423d12
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 17 10:37:57 2007 -0700

    Use AM_CFLAGS instead of xmodmap_CFLAGS to avoid automake-1.10 warnings

commit fd25acd688b86a1490198d61f66d2503a87883a0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Apr 11 15:30:16 2007 -0700

    Bug 10616: manpage should note -pm is the default if no options are given
    
    X.Org Bugzilla #10616 <https://bugs.freedesktop.org/show_bug.cgi?id=10616>
    Reported upstream from
    Debian Bug #236918 <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=236198>

commit 15a83b060b9b4bd7d6a64eacc7191e33eb91b269
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 17:55:42 2006 -0400

    Bump to 1.0.2

commit 27404e37e50fe637f33f6efac2fa73c9cfc1026c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Sep 13 15:08:59 2006 -0700

    Add *~ to .gitignore to ignore emacs droppings

commit 98063dc377dff55f1b057eda14ace69beed82c16
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Sep 13 15:08:19 2006 -0700

    renamed: .cvsignore -> .gitignore

commit 86a4f2a2d66bbeb6c9deee9133eb335f593c47f9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Sep 13 15:07:16 2006 -0700

    Sun bug 6459447: Add note on reversing CapsLock/Control swap to man page
    
    http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=6459447

commit 7410e78207ca01d70d9df14eb1e4e07e7fe5f237
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Apr 26 23:42:50 2006 +0000

    Bump to 1.0.1

commit e8a5353022f9e616c22a7a1659ff4d4d968f5d88
Author: Matthias Hopf <mhopf@suse.de>
Date:   Wed Mar 22 15:14:31 2006 +0000

    Allow changing of only a few buttons (not all).

commit b9854ab5e66bf9ec8911d6573440738325cd51b4
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:09 2005 +0000

    Update package version number for final X11R7 release candidate.

commit a01cd5fe1c387c62b11368e3fac100e24e7d841e
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:24 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit d39efd733ad56391082b08f9f486cf147e931197
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:26 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 8a0747a21f9737212784c55b62044e86caf1fbc8
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:45 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 5e4dec81bffb5f296773c43aa45f52dc354c1886
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:35:05 2005 +0000

    Another pass at .cvsignores for apps.

commit f9c0b2a947ea8690ac73e8f9ce857cd195551c01
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:54 2005 +0000

    Add/improve .cvsignore files for apps.

commit 65fb2a168c968e486be090caad29349427e4d65e
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:56 2005 +0000

    Update package version number for RC1 release.

commit 4c47648e4789efe03eec74c39b2ab6b9b27230fc
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:24 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 356f26e95eb7003f9f65ffe480773f0d788dc871
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:47 2005 +0000

    Use sed to fill in variables in man page

commit c4483b314106bcd2bb13e49650cfd279f74da73e
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Wed Sep 28 19:28:15 2005 +0000

    Copy bits from COPYING here.
    Copy first paragraph from man page.
    Add swap.km.

commit 149fc373521b4ceb33e37c693834a27a702fcc2b
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:36 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 327ffdf93fd0b8f7942c08653cb644be2062428c
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Jul 28 02:58:59 2005 +0000

    Add build system for xmodmap Add xmodmap to build script

commit 9145de293109ba96fc8b97ac59c16c51b992f416
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Thu Nov 11 15:37:01 2004 +0000

    Fix #1818

commit d9e41011e4477f581fb5592ad81fc081e0b606b9
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Oct 30 20:33:44 2004 +0000

    Add -d flag for compilers like the Sun C compilers that produce dependency
        lists themselves. To use with the Sun compilers, add to host.def: #
        define UseCCMakeDepend YES # define DependFlags -cc $(CC) -d -xM (Sun
        bug id #4245688 - fix by Alan Coopersmith)
    Add Solaris to the platforms on which mprotect is run to set execute
        permissions when necessary. (Sun bug id #6175128 - fix by Alan
        Coopersmith)
    Internationalize digital output (Sun bug id #4119396 - fix by Steve
        Swales), add -bgpixmap option to set XPM file as background (originally
        from STSF project version of xclock by Alan Coopersmith)
    xc/programs/xmodmap/handle.c,pf.c xmodmap was printing line numbers which
        are one too low in error messages (Xorg bugzilla #1739, Sun bug id
        4637857 - fix by Sam Lau)

commit ce64b2b312a73b9a4f266da8810ab552af4fbb1e
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Fri Oct 15 00:44:08 2004 +0000

    Thu Oct 14 20:43:03 2004 Søren Sandmann <sandmann@redhat.com>
    Fix a write-to-constant-string issue.
    Fix several buffer overruns.

commit 8ad5d3b908d68353d407fa8f678c93320760eb12
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:59 2004 +0000

    Merging XORG-CURRENT into trunk

commit 536ef73f2a5310f25c99a9c3a41f71d032ef95a6
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:42 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 11073ef989618e076133b1f58be7a406ba373b1b
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:15 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit e8ce00f47c06ea1bfcfd6538a80a10b868cee19e
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:26 2004 +0000

    readding XFree86's cvs IDs

commit 072ef0f49182d381ac7e630eccd1b5b6749334a7
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:14 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit eb9faf624f11691c4ca7344f4169117718cea9c7
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Thu Dec 4 22:03:56 2003 +0000

    XFree86 4.3.99.901 (RC 1)

commit d678c60d8b5bede9e61f532aa1740d741b8bbe90
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:15 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit dc0f15394719e18bb9b01e70468f4d9908488d35
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:23 2003 +0000

    XFree86 4.3.0.1

commit e29f1f1ed2128d7382a72ccb1684045fe4bc8183
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:54 2003 +0000

    R6.6 is the Xorg base-line
